<?php

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: ext_localconf.php 47 2011-03-20 16:29:35Z schreiberten $
 */
if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}
t3lib_extMgm::addUserTSConfig('
	options.saveDocNew.tx_sschsimpleviewer_gallery=1
');

t3lib_extMgm::addPItoST43($_EXTKEY, 'pi1/class.tx_sschsimpleviewer_pi1.php', '_pi1', 'list_type', 1);

// eID for the extension
// ADD THE EID-Functionality to our script - 12.11.2009 changed $tempPath to EXT:googlemapemail/ seems to a problem with 4.2.10
$GLOBALS['TYPO3_CONF_VARS']['FE']['eID_include'][$_EXTKEY] = 'EXT:' . $_EXTKEY . '/class.tx_sschsimpleviewer_eid.php';

// RealURL autoconfiguration
if (t3lib_extMgm::isLoaded('realurl')) {
    $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/realurl/class.tx_realurl_autoconfgen.php']['extensionConfiguration']['ssch_simpleviewer'] = 'EXT:ssch_simpleviewer/lib/Cache/class.tx_sschsimpleviewer_realurl.php:tx_sschsimpleviewer_realurl->addRealUrlConfig';
}

// Get extension configuration
$simpleviewerExtConf = unserialize($_EXTCONF);

// Add constants
t3lib_extMgm::addTypoScriptConstants('extension.simpleviewer.typeNum = ' . $simpleviewerExtConf['typeNum']);


// Package Manager
if ((TYPO3_MODE == 'BE')) {

    /* We have to wait until Peter Russ has extended his extension package_manager */
    if (t3lib_extMgm::isLoaded('package_manager') && 1==2) {
        $GLOBALS['TYPO3_CONF_VARS']['EXTCONF'][$_EXTKEY] = array('packages' => null);
        $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['package_manager']['packages'][$_EXTKEY]['simpleviewer'] = array('url' => 'http://simpleviewer.net/downloads/simpleviewer.zip', 'path' => 'res/simpleviewer', 'callback_pre_extract' => 'callBackPreExtractFunction');
        $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['package_manager']['packages'][$_EXTKEY]['tiltviewer'] = array('url' => 'http://www.simpleviewer.net/downloads/tiltviewer.zip', 'path' => 'res/simpleviewer', 'callback_pre_extract' => 'callBackPreExtractFunction');
        $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['package_manager']['packages'][$_EXTKEY]['autoviewer'] = array('url' => 'http://www.simpleviewer.net/downloads/autoviewer.zip', 'path' => 'res/simpleviewer', 'callback_pre_extract' => 'callBackPreExtractFunction');
        $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['package_manager']['packages'][$_EXTKEY]['postcardviewer'] = array('url' => 'http://www.simpleviewer.net/downloads/postcardviewer.zip', 'path' => 'res/simpleviewer', 'callback_pre_extract' => 'callBackPreExtractFunction');

        function callBackPreExtractFunction($p_event, &$p_header) {
            global $_EXTKEY;
            $allowedFileNames = array('simpleviewer_211/web/svcore/swf/simpleviewer.swf', 'postcardviewer/viewer.swf', 'autoviewer/autoviewer.swf', 'tiltviewer/TiltViewer.swf');
            if (array_search($p_header['stored_filename'], $allowedFileNames) !== false) {
                $p_header['filename'] = t3lib_extMgm::extPath($_EXTKEY) . 'res/simpleviewer/' . strtolower(basename($p_header['filename']));
                return 1;
            }
            return 0;
        }

    }
}


// caching framework configuration
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ssch_simpleviewer_cache']['backend'] = 't3lib_cache_backend_FileBackend';
$GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ssch_simpleviewer_cache']['options'] = array();
// Clear cache
$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc']['tx_sschsimpleviewer_cache'] = 'EXT:' . $_EXTKEY . '/lib/Cache/class.tx_sschsimpleviewer_cache.php:&tx_sschsimpleviewer_cache->clearCache';
?>