<?php

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: ext_tables.php 36 2011-01-13 09:56:05Z schreiberten $
 */
if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}
$TCA['tx_sschsimpleviewer_gallery'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery',
        'label' => 'title',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'default_sortby' => 'ORDER BY title',
        'type' => 'mode',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
        ),
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_sschsimpleviewer_gallery.gif',
    ),
);

$TCA['tx_sschsimpleviewer_images'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images',
        'label' => 'caption',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'sortby' => 'sorting',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
        ),
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_sschsimpleviewer_images.gif',
    ),
);


t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY . '_pi1'] = 'layout,select_key';


t3lib_extMgm::addPlugin(array(
            'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tt_content.list_type_pi1',
            $_EXTKEY . '_pi1',
            t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
                ), 'list_type');


if (TYPO3_MODE == 'BE') {
    $TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_sschsimpleviewer_pi1_wizicon'] = t3lib_extMgm::extPath($_EXTKEY) . 'pi1/class.tx_sschsimpleviewer_pi1_wizicon.php';
}

// ADD Flexform
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY . '_pi1'] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY . '_pi1', 'FILE:EXT:' . $_EXTKEY . '/flexform_ds.xml');

t3lib_extMgm::addStaticFile($_EXTKEY, 'static/', 'SimpleViewer');

$simpleviewerRTEKeyList = 'bold,italic,link,underline';
t3lib_extMgm::addPageTSConfig('RTE.config.tx_sschsimpleviewer_images.caption.showButtons=' . $simpleviewerRTEKeyList);
t3lib_extMgm::addPageTSConfig('RTE.config.tx_sschsimpleviewer_images.description.showButtons=' . $simpleviewerRTEKeyList);

?>