#
# Table structure for table 'tx_sschsimpleviewer_gallery'
#
CREATE TABLE tx_sschsimpleviewer_gallery (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumtext,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
        flickruid varchar(255) DEFAULT '' NOT NULL,
        flickrusername varchar(255) DEFAULT '' NOT NULL,
        preview_image text,
        description text,
	path varchar(255) DEFAULT '' NOT NULL,
	images text,
	mode varchar(100) NOT NULL default '', 
	dam_cat int(11) DEFAULT '0' NOT NULL,
	dam int(11) DEFAULT '0' NOT NULL,
	is_dummy_record tinyint(1) unsigned DEFAULT '0' NOT NULL,
	KEY dummy (is_dummy_record),
	PRIMARY KEY (uid),
	KEY parent (pid)
);

#
# Table structure for table 'tx_sschsimpleviewer_images'
#
CREATE TABLE tx_sschsimpleviewer_images (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumtext,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	caption varchar(255) DEFAULT '' NOT NULL,
        show_flip_button tinyint(4) DEFAULT '1' NOT NULL,
	description text,
	link tinytext,
	image text,
	thumb text,
	
	parenttable tinytext NOT NULL,
  	parentid tinytext NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);


#
# Table structure for table 'tx_sschsimpleviewer_gallery_dam_cat'
#
CREATE TABLE tx_sschsimpleviewer_gallery_dam_cat (
	uid_local int(11) DEFAULT '0' NOT NULL,
        uid_foreign int(11) DEFAULT '0' NOT NULL,
        tablenames varchar(30) DEFAULT '' NOT NULL,
        sorting int(11) DEFAULT '0' NOT NULL,
        is_dummy_record tinyint(1) unsigned DEFAULT '0' NOT NULL,
        KEY uid_local (uid_local),
        KEY uid_foreign (uid_foreign),
        KEY dummy (is_dummy_record)
);