<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <breakpoint@schreibersebastian.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

class tx_sschsimpleviewer_noCache implements tx_sschsimpleviewer_cache_interface, t3lib_Singleton {

    public function __construct() {}

    /**
     * Write content to cache
     * @param string $hash
     * @param string $content
     * @param string $ident
     */
    public function set($hash, $content, $ident) {}

    /**
     * Get content from cache
     * @param string $hash
     * @return string
     */
    public function get($hash) {
        return;
    }

    /**
     * Check if a special identifier exists in the cache
     * @param string $hash
     * @return boolean
     */
    public function has($hash) {
        return false;
    }

    /**
     * Remove all from the cache
     */
    public function flush() {}

    /**
     * Write content to cache without metadata
     * @param string $hash
     * @param string $content
     * @param string $ident
     */
    public function setPure($identifier, $content) {}

    /**
     *
     * @param string $identifier
     * @return NULL
     */
    public function findCacheFilesByIdentifier($identifier) {
        return;
    }
    
    /**
     *
     * @param string $fileType 
     */
    public function  setFileType($fileType) {}

    /**
     * @return NULL
     */
    public function getFileType() {
        return;
    }


}

?>
